#ifndef MEDIALIBRARY_H
#define MEDIALIBRARY_H

#include <QObject>
#include <QDir>

#include "defines.h"
#include "settings.h"

class MediaLibrary : public QObject
{
    Q_OBJECT

    friend class Settings;

public:

    static MediaLibrary *getInstance();
    QString requestNewFile(int folder, int layer);

    void initMediaLibrary();

protected:

    /**
    * Change library/path
    */
   inline void rescanMediaLibrary() {
       if (m_media != NULL)
           delete m_media;
       initMediaLibrary();
   }

private:

    explicit MediaLibrary(QObject *parent = 0);
    static MediaLibrary *_instance;

// Wich structure is more efficient for us?
// QList, QMap, QSet, QVector?
    QList<MediaFolder> *m_media; // Library to save the folders/media libraries and index each media file inside

    QList<MediaFile> getMediaInformation(QDir dir); // Get all the information of each media file in a dir

signals:
    
public slots:
    
};

#endif // MEDIALIBRARY_H
